Grant-AppvServerPackage

Letzte Aktualisierung: Dezember 2014

Betrifft: Application Virtualization 5.0, Application Virtualization 5.0 SP1, Application Virtualization 5.0 SP2, Application Virtualization 5.0 SP3

Grant-AppvServerPackage

Grants an entitlement to a package.

Syntax

Parameter Set: By GUID
Grant-AppvServerPackage [-PackageID] <Guid> [[-VersionID] <Guid> ] [-Groups] <String[]> [-Confirm] [-WhatIf] [ <CommonParameters>]

Parameter Set: ByName
Grant-AppvServerPackage [-Name] <String> [[-Version] <String> ] [-Groups] <String[]> [-Confirm] [-WhatIf] [ <CommonParameters>]

Parameter Set: ByObject
Grant-AppvServerPackage [-AppvServerPackage] <PackageVersion> [-Groups] <String[]> [-Confirm] [-WhatIf] [ <CommonParameters>]




Detaillierte Beschreibung

The Grant-AppvServerPackage cmdlet grants an Active Directory entitlement to an existing package.

Parameter

-AppvServerPackage<PackageVersion>

Specifies an array of AppVServerPackage objects.


Aliasse

none

Erforderlich?

true

Position?

1

Standardwert

none

Pipelineeingaben akzeptieren?

True (ByValue)

Platzhalterzeichen akzeptieren?

false

-Groups<String[]>

Specifies an array of names of Active Directory groups.


Aliasse

none

Erforderlich?

true

Position?

3

Standardwert

none

Pipelineeingaben akzeptieren?

false

Platzhalterzeichen akzeptieren?

false

-Name<String>

Specifies the friendly name of the package given when the package was created. This value is obtained from the package manifest.


Aliasse

none

Erforderlich?

true

Position?

1

Standardwert

none

Pipelineeingaben akzeptieren?

True (ByValue, ByPropertyName)

Platzhalterzeichen akzeptieren?

false

-PackageID<Guid>

Specifies a GUID that uniquely identifies the package. It can be found in the package manifest or by opening the package in the Microsoft Application Virtualization (App-V) sequencer. The package GUID is shared by all versions of a specific package.


Aliasse

none

Erforderlich?

true

Position?

1

Standardwert

none

Pipelineeingaben akzeptieren?

True (ByValue, ByPropertyName)

Platzhalterzeichen akzeptieren?

false

-Version<String>

Specifies the version of an App-V package in one specific lineage. If you do not specify a version, the cmdlet acts on all versions saved on computer.


Aliasse

none

Erforderlich?

false

Position?

2

Standardwert

none

Pipelineeingaben akzeptieren?

True (ByValue, ByPropertyName)

Platzhalterzeichen akzeptieren?

false

-VersionID<Guid>

Specifies a GUID that differentiates a package version from other versions, whether older, newer, or of a completely different lineage. If you do not specify this parameter, the cmdlet operates on all versions of the package.


Aliasse

none

Erforderlich?

false

Position?

2

Standardwert

none

Pipelineeingaben akzeptieren?

True (ByValue, ByPropertyName)

Platzhalterzeichen akzeptieren?

false

-Confirm

Sie werden vor dem Ausführen des Cmdlets zur Bestätigung aufgefordert.


Erforderlich?

false

Position?

named

Standardwert

falsch

Pipelineeingaben akzeptieren?

false

Platzhalterzeichen akzeptieren?

false

-WhatIf

Zeigt, was geschieht, wenn das Cmdlet ausgeführt wird. Das Cmdlet wird nicht ausgeführt.


Erforderlich?

false

Position?

named

Standardwert

falsch

Pipelineeingaben akzeptieren?

false

Platzhalterzeichen akzeptieren?

false

<CommonParameters>

Dieses Cmdlet unterstützt die allgemeinen Parameter: -Verbose, -Debug, -ErrorAction, -ErrorVariable, -OutBuffer, -OutVariable. Weitere Informationen finden Sie unter about_CommonParameters (http://go.microsoft.com/fwlink/p/?LinkID=113216).

Eingaben

Der Eingabetyp ist der Typ der Objekte, die über die Pipeline an das Cmdlet übergeben werden können.

  • AppvServer.AppvServerPackage

Ausgaben

Der Ausgabetyp ist der Typ der Objekte, die vom Cmdlet ausgegeben werden.

Hinweise

  • If the cmdlet cannot find the specified package, the cmdlet returns the following error: The specified package could not be found on the system. The cmdlet fails the operation.

  • If you specify an invalid group, the cmdlet return the following error: The provided entitlements are not valid.. The cmdlet fails the operation.

  • If you do not specify version information, the cmdlet takes action on all available versions of the package.

Verwandte Themen

Community-Beiträge

HINZUFÜGEN
Anzeigen: